Bug 179629 - "@Named" beans hyperlinking doesn't work correctly
"@Named" beans hyperlinking doesn't work correctly
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: JSF Editor
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Marek Fukala
issues@javaee
68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-18 08:25 UTC by Jindrich Sedek
Modified: 2010-01-27 05:40 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jindrich Sedek 2010-01-18 08:25:00 UTC
Create new web project with JavaEE 6 and JSF enabled
create new java class and add @Named annotation to it
open index.xhtml, invoke cc in EL ${|} and complete the bean
try to hyperlink to the bean source -> the source is not opened

Note: Add some field to the bean and use it in the EL ${myBean.myField}
try to use hyperlink on 'myField' -> the source is opened and located correctly
Comment 1 Marek Fukala 2010-01-18 08:38:41 UTC
fixed in web-main#28ce4f7ae02d. 

Since it's a very simple fix I recommend to put this to the patch to improve the overall CDI support quality.
Comment 2 Quality Engineering 2010-01-18 23:35:31 UTC
Integrated into 'main-golden', will be available in build *201001190201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/28ce4f7ae02d
User: Marek Fukala <mfukala@netbeans.org>
Log: #179629 -  "@Named" beans hyperlinking doesn't work correctly
Comment 3 Jindrich Sedek 2010-01-19 04:24:27 UTC
verified.

NetBeans IDE Dev (Build 201001190201)
Comment 4 pgebauer 2010-01-22 03:58:27 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/2813fdcf740e

The fix has been ported together with the bugfix of issue #178687. If a rollback is needed, both issues have to be skipped together. Since the port is non-trivial (please see the changeset), please consider wider and deeper testing.
Comment 5 Jindrich Sedek 2010-01-27 05:40:54 UTC
verified in 68_fixes build
NetBeans IDE 6.8 (Build 201001261800)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo